complexType "GasDeliveryPeriods"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (periods? | periodsSchedule? | calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?), (supplyStartTime?, supplyEndTime?)?
</...>

Content Model Elements (7):

  calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference, periods, periodsSchedule, supplyEndTime, supplyStartTime

All Direct / Indirect Based Elements (1):

  deliveryPeriods (in gasPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  deliveryPeriods (in gasPhysicalLeg)

Annotation
The different options for specifying the Delivery Periods for a physically settled gas trade.
Type Definition Detail

Type Derivation Tree CommodityDeliveryPeriods (extension) GasDeliveryPeriods

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="GasDeliveryPeriods"> <xsd:complexContent> <xsd:extension base="CommodityDeliveryPeriods"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="supplyStartTime" type="PrevailingTime"/> <xsd:element minOccurs="0" name="supplyEndTime" type="PrevailingTime"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
supplyEndTime

  Type: | PrevailingTime, complex content

  The time at which gas delivery should end on each day of the Delivery Period(s).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="supplyEndTime" type="PrevailingTime"/>

supplyStartTime

  Type: | PrevailingTime, complex content

  The time at which gas delivery should start on each day of the Delivery Period(s).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="supplyStartTime" type="PrevailingTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.